MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030402Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-12-10 14:022018-12-18 21:52
Reporterskl 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030402: Data Exchange - exported VRML file has broken location information
DescriptionExporting into VRML format produces broken result in case if original model contains (nested) transformations and system units are different from VRML format (meters).
Steps To Reproducepload ALL
param xstep.cascade.unit MM
ReadStep D as1-oc-214.stp
XGetOneShape a D
incmesh a 0.001
WriteVrml D tmp.wrl
loadvrml b tmp.wrl
vinit
vdisplay b
vfit
TagsNo tags attached.
Test case numberbugs xde bug30402
Attached Files? file icon as1-oc-214.stp (434,573 bytes) 2018-12-10 14:02

- Relationships

-  Notes
(0081433)
git (administrator)
2018-12-10 14:11

Branch CR30402 has been created by skl.

SHA-1: 5d1a2a94563089fc3e56df6a05deaf45d84a50db


Detailed log of new commits:

Author: skl
Date: Mon Dec 10 14:08:09 2018 +0300

    0030402: exported VRML file has broken location information
(0081441)
skl (developer)
2018-12-10 16:40

Branch CR30402 is ready to be reviewed.

Result of tests:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30402-master-SKL/view/COMPARE/ [^]
(0081448)
kgv (developer)
2018-12-11 10:24

Sergey,

there is no test case in branch (which you have talked about).
Are you sure you have pushed the latest version to git?
(0081455)
git (administrator)
2018-12-11 12:28

Branch CR30402 has been updated by apn.

SHA-1: 053e5b5d3f598c9629fcde27fbd1ec1328ad8232


Detailed log of new commits:

Author: apn
Date: Tue Dec 11 12:25:12 2018 +0300

    //Test case bugs/xde/bug30402 were added

(0081456)
git (administrator)
2018-12-11 12:41

Branch CR30402 has been updated forcibly by apn.

SHA-1: 9d9cb298090803ea3055c78b7ff4aee170237d45
(0081457)
apn (administrator)
2018-12-11 12:42

Combination -
OCCT branch : CR30402 SHA - 5d1a2a94563089fc3e56df6a05deaf45d84a50db
Products branch : master SHA - 4eefea36b8ea8a987b6f644ce91f592588345220
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs xde bug30402 - OK

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16379.8 / 16366.920000000002 [+0.08%]
Products
Total CPU difference: 7077.670000000036 / 7064.160000000029 [+0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 17769.265625 / 17885.453125 [-0.65%]
Products
Total CPU difference: 8459.96875 / 8548.140625 [-1.03%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0081460)
kgv (developer)
2018-12-11 13:52

+set filename bug26657
+param xstep.cascade.unit MM
+ReadStep D [locate_data_file ${filename}.stp]
+XGetOneShape a D
+incmesh a 0.001
+
+file delete -force ${imagedir}/${filename}.wrl
+WriteVrml D ${imagedir}/${filename}.wrl
+loadvrml b ${imagedir}/${filename}.wrl
+
+checkview -display b -3d -path ${imagedir}/${test_image}.png

Test case is incomplete - it doesn't check transformations in the document, hence even if image is correct, the result might be actually wrong.

And for image comparison, test case might try dumping original and generated VRML files to check if they produce the same image.
(0081461)
git (administrator)
2018-12-11 13:58

Branch CR30402 has been updated forcibly by apn.

SHA-1: 82f3f8e4ebc518b6bc5cfd37bab70be95b1b4689
(0081462)
git (administrator)
2018-12-11 14:31

Branch CR30402 has been updated forcibly by apn.

SHA-1: bf7783143d0c95b6e78fa2a05aecc07cc2d74cd7
(0081463)
git (administrator)
2018-12-11 14:37

Branch CR30402 has been updated forcibly by apn.

SHA-1: 215ece2ec6f08bc868e8f6f47e63f6b647ab1b52
(0081464)
git (administrator)
2018-12-11 14:46

Branch CR30402 has been updated forcibly by apn.

SHA-1: 73e65cce3dd49e27f5fa1dce8b7154fe80ffa4e3
(0081466)
apn (administrator)
2018-12-11 15:11

Images for original shape and generated VRML file were added:
http://occt-tests/CR30402-master-SKL-OCCT/Debian80-64/bugs/xde/bug30402.html [^]

Dear skl, could you please provide additional check transformations in the document.
(0081482)
kgv (developer)
2018-12-12 11:15

+set filename bug26657
+ReadStep D [locate_data_file ${filename}.stp]

I'm not sure it is a good idea splitting the file name from extension - this would prevent a straightforward seeking in test base usage of "bug26657.stp".
(0081483)
git (administrator)
2018-12-12 11:31

Branch CR30402 has been updated by apn.

SHA-1: d174ecc732268ed998f52d5e7545d6671939d357


Detailed log of new commits:

Author: apn
Date: Wed Dec 12 11:28:17 2018 +0300

    //Correct test case according to remarks

(0081485)
git (administrator)
2018-12-12 12:18

Branch CR30402 has been updated by apn.

SHA-1: 24fcb8f27a26174f5302eece0f3cdcc5dc3a70a2


Detailed log of new commits:

Author: apn
Date: Wed Dec 12 12:14:58 2018 +0300

    //Modify loadvrml command
    //Update test case

(0081487)
git (administrator)
2018-12-12 14:46

Branch CR30402 has been updated forcibly by apn.

SHA-1: 19fd5a4031fdfe85e53c1d428041d245e24bc1a5
(0081489)
git (administrator)
2018-12-12 15:11

Branch CR30402 has been updated forcibly by apn.

SHA-1: c0533b74f5c8a5c5750b2135b8305d9a6e07b535
(0081507)
git (administrator)
2018-12-13 12:33

Branch CR30402 has been updated forcibly by apn.

SHA-1: 869730e56110262d0a7f41048cad3e69889937db
(0081508)
git (administrator)
2018-12-13 12:54

Branch CR30402 has been updated forcibly by apn.

SHA-1: 9c51394580fe11be19daddae1a3ed8fba05575b6
(0081568)
git (administrator)
2018-12-18 21:52

Branch CR30402 has been deleted by kgv.

SHA-1: 9c51394580fe11be19daddae1a3ed8fba05575b6

- Related Changesets
occt: master 1d441d1a
Timestamp: 2018-12-10 11:08:09
Author: skl
Committer: apn
Details ] Diff ]
0030402: Data Exchange - exported VRML file has broken location information
mod - src/VrmlData/VrmlData_ShapeConvert.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
mod - tests/bugs/xde/bug29597 Diff ] File ]
add - tests/bugs/xde/bug30402 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-12-10 14:02 skl New Issue
2018-12-10 14:02 skl Assigned To => gka
2018-12-10 14:02 skl File Added: as1-oc-214.stp
2018-12-10 14:03 skl Assigned To gka => skl
2018-12-10 14:11 git Note Added: 0081433
2018-12-10 14:28 kgv Relationship added related to 0030401
2018-12-10 14:28 kgv Status new => assigned
2018-12-10 14:28 kgv Product Version => 7.4.0
2018-12-10 14:28 kgv Summary exported VRML file has broken location information => Data Exchange - exported VRML file has broken location information
2018-12-10 16:40 skl Note Added: 0081441
2018-12-10 16:41 skl Assigned To skl => gka
2018-12-10 16:41 skl Status assigned => resolved
2018-12-10 16:41 skl Assigned To gka => pdn
2018-12-10 16:49 pdn Assigned To pdn => bugmaster
2018-12-10 16:49 pdn Status resolved => reviewed
2018-12-11 10:24 kgv Note Added: 0081448
2018-12-11 12:28 git Note Added: 0081455
2018-12-11 12:41 git Note Added: 0081456
2018-12-11 12:42 apn Test case number => bugs xde bug30402
2018-12-11 12:42 apn Note Added: 0081457
2018-12-11 12:42 apn Status reviewed => tested
2018-12-11 13:52 kgv Note Added: 0081460
2018-12-11 13:58 git Note Added: 0081461
2018-12-11 14:31 git Note Added: 0081462
2018-12-11 14:37 git Note Added: 0081463
2018-12-11 14:46 git Note Added: 0081464
2018-12-11 15:11 apn Note Added: 0081466
2018-12-12 11:15 kgv Note Added: 0081482
2018-12-12 11:31 git Note Added: 0081483
2018-12-12 12:18 git Note Added: 0081485
2018-12-12 14:46 git Note Added: 0081487
2018-12-12 15:11 git Note Added: 0081489
2018-12-13 12:33 git Note Added: 0081507
2018-12-13 12:54 git Note Added: 0081508
2018-12-15 20:28 apn Changeset attached => occt master 1d441d1a
2018-12-15 20:28 apn Assigned To bugmaster => apn
2018-12-15 20:28 apn Status tested => verified
2018-12-15 20:28 apn Resolution open => fixed
2018-12-18 21:52 git Note Added: 0081568


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker